Bug 1076795 - audacity uses private copy of expat.h
audacity uses private copy of expat.h
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: audacity (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Darryl L. Pierce
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: DuplicSysLibsTracker
  Show dependency treegraph
 
Reported: 2014-03-15 04:42 EDT by Ville Skyttä
Modified: 2015-06-21 20:08 EDT (History)
3 users (show)

See Also:
Fixed In Version: audacity-2.0.6-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-14 00:33:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Remove bundled copy of expat.h (1.09 KB, patch)
2014-03-15 04:42 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2014-03-15 04:42:30 EDT
Created attachment 874735 [details]
Remove bundled copy of expat.h

Although audacity is being built with system expat, it includes a copy of expat.h which also ends up in -debuginfo, indicating that the bundled copy actually gets used. That's something that's likely to cause problems at some point. See also https://fedoraproject.org/wiki/Packaging:Treatment_Of_Bundled_Libraries

Candidate fix attached, build tested only. Let me know if you'd like me to push and build this for devel.
Comment 1 Fedora Update System 2014-10-08 01:55:39 EDT
audacity-2.0.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/audacity-2.0.6-1.fc21
Comment 2 Fedora Update System 2014-10-08 02:00:39 EDT
audacity-2.0.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/audacity-2.0.6-1.fc20
Comment 3 Fedora Update System 2014-10-10 12:02:38 EDT
Package audacity-2.0.6-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing audacity-2.0.6-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12504/audacity-2.0.6-1.fc21
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2014-10-11 21:10:53 EDT
audacity-2.0.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/audacity-2.0.6-1.fc19
Comment 5 Fedora Update System 2014-10-14 00:33:10 EDT
audacity-2.0.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2014-10-19 09:23:10 EDT
audacity-2.0.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2014-10-20 05:56:42 EDT
audacity-2.0.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.